package com.dgtly.system.service;

import com.dgtly.system.domain.AlertConfiguration;
import java.util.List;
import java.util.Map;

/**
 * 弹框配置Service接口
 * 
 * @author chenyn
 * @date 2023-06-13
 */
public interface IAlertConfigurationService 
{
    /**
     * 查询弹框配置
     * 
     * @param alertId 弹框配置ID
     * @return 弹框配置
     */
    public AlertConfiguration selectAlertConfigurationById(Long alertId);

    public AlertConfiguration selectAlertConfigurationByAlertStatus(List<String> userTypeList,String orgCode);

    public AlertConfiguration selectAlertConfiguration(List<String> userTypeList);

    AlertConfiguration selectAlert(String alertStatus);

    /**
     * 查询弹框配置列表
     * 
     * @param alertConfiguration 弹框配置
     * @return 弹框配置集合
     */
    public List<AlertConfiguration> selectAlertConfigurationList(AlertConfiguration alertConfiguration);

//发布
    public int selectAlertConfigurationListFilter(AlertConfiguration alertConfiguration);

    /**
     * 新增弹框配置
     * 
     * @param alertConfiguration 弹框配置
     * @return 结果
     */
    public int insertAlertConfiguration(AlertConfiguration alertConfiguration);

    /**
     * 修改弹框配置
     * 
     * @param alertConfiguration 弹框配置
     * @return 结果
     */
    public int updateAlertConfiguration(AlertConfiguration alertConfiguration);

    /**
     * 批量删除弹框配置
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteAlertConfigurationByIds(String ids);

    /**
     * 删除弹框配置信息
     * 
     * @param alertId 弹框配置ID
     * @return 结果
     */
    public int deleteAlertConfigurationById(Long alertId);

    List<Map<String, Object>>  searchProductParamByCustomerCode(String salesLevel, String orgCode);
}
